### Method

# Gimp Image insert_channel

#### Declaration [src]

    gboolean
    gimp_image_insert_channel (
      GimpImage* image,
      GimpChannel* channel,
      GimpChannel* parent,
      gint position
    )

#### Description [src]

Add the specified channel to the image.

This procedure adds the specified channel to the image at the given position. Since channel groups are not currently supported, the parent argument must always be 0. The position argument specifies the location of the channel inside the stack, starting from the top (0) and increasing. If the position is specified as -1, then the channel is inserted above the active channel.

#### Parameters

`channel` | `GimpChannel`
| The channel.
| The data is owned by the caller of the function.
`parent` | `GimpChannel`
| The parent channel.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`position` | `gint`
| The channel position.

#### Return value

Returns: | `gboolean`
| TRUE on success.